restinio::ip_blocker_holder_t< ip_blocker::noop_ip_blocker_t > Struct Reference

A special class for case when no-op IP-blocker is used. More...

`#include <settings.hpp>`

## Public Member Functions

void | check_valid_ip_blocker_pointer () const

## Static Public Attributes

static constexpr bool | has_actual_ip_blocker = false

## Detailed Description

A special class for case when no-op IP-blocker is used.

Doesn't hold anything and contains empty check_valid_ip_blocker_pointer() method.

Since
  v.0.5.1

Definition at line 414 of file settings.hpp.

## Member Function Documentation

## check_valid_ip_blocker_pointer()

void restinio::ip_blocker_holder_t< ip_blocker::noop_ip_blocker_t >::check_valid_ip_blocker_pointer | ( |  | ) | const

inline

Definition at line 419 of file settings.hpp.

## Member Data Documentation

## has_actual_ip_blocker

constexpr bool restinio::ip_blocker_holder_t< ip_blocker::noop_ip_blocker_t >::has_actual_ip_blocker = false

staticconstexpr

Definition at line 416 of file settings.hpp.

The documentation for this struct was generated from the following file:

- restinio/settings.hpp